REM Batch file to run 64-bit SIMO-RIFLEX-AeroDyn
REM Comment lines begin with REM 
REM Erin Bachynski, July 2013

REM -----------------------------------
REM -----------------------------------
REM ~~~~~~~USER VARIABLES~~~~~~~~~~~~~~
set prefix=TLPWT
set runSilent=0
set installDir=W:\SRA\
set licenseFile=C:\batch\ntnu_sima_intern_1304.lic
set runRiflexInpmod=1
set runSimoStamod=1
set runRiflexStamod=1
set runSimoDynmod=1
set runRiflexDynmod=1
set runSimoS2Xmod=1
set useServerLicense=1
REM -----------------------------------
REM -----------------------------------



REM -----------------------------------
REM Set environmental variables
set PATH=%installDir%64-bit\java_1.7.0.07\jre\bin\server;%installDir%64-bit\batch;%installDir%64-bit;%path%
set HLALIB_PATH=%installDir%64-bit\HLALib.jar
if %useServerLicense% == 1 (
set MARINTEK_LICENSE_FILE=2002@dnv.ivt.ntnu.no
)
if %useServerLicense% == 0 (
set MARINTEK_LICENSE_FILE=%licenseFile%
)
set RIFLEX_DYNMOD_MEM=1600
set RIFLEX_MAXDYN_IFNDYN=2000000
set RIFLEX_MAXIRR_IFNIRR=100000
set RIFLEX_MAXSTA_IFNSTA=2000000
set RIFLEX_OUTMOD_MEM=1600

REM ----------------------------------

if %runSilent%== 1 (
@echo off
if exist log.txt (del log.txt)
REM ----------------------------------
REM Commands to call Simo-Riflex-Aerodyn

if %runRiflexInpmod%==1 (
ECHO CALLING RIFLEX INPMOD
CALL riflex_64bit inpmod %prefix% >> log.txt 
)

if %runSimoStamod%==1 (
ECHO CALLING SIMO STAMOD
CALL simo_64bit %prefix% dummy stamod batch sta-%prefix% >> log.txt
)

if %runRiflexStamod%==1 (
ECHO CALLING RIFLEX STAMOD
CALL riflex_64bit stamod %prefix% >> log.txt
)

if %runSimoDynmod%==1 (
ECHO CALLING SIMO DYNMOD
CALL simo_64bit %prefix% dummy dynmod batch dyn-%prefix% >> log.txt
)

if %runRiflexDynmod%==1 (
ECHO CALLING RIFLEX DYNMOD
CALL riflex_64bit dynmod %prefix% >> log.txt
)

if %runSimoS2Xmod%==1 (
ECHO CALLING SIMO S2XMOD
CALL simo_64bit %prefix% dummy s2xmod batch s2x-%prefix% >> log.txt
)

) 

if %runSilent% == 0 (
mode con lines=9999

REM ----------------------------------
REM Commands to call Simo-Riflex-Aerodyn

if %runRiflexInpmod%==1 (
CALL riflex_64bit inpmod %prefix%
)

if %runSimoStamod%==1 (
CALL simo_64bit %prefix% dummy stamod batch sta-%prefix%
)

if %runRiflexStamod%==1 (
CALL riflex_64bit stamod %prefix%
) 

if %runSimoDynmod%==1 (
CALL simo_64bit %prefix% dummy dynmod batch dyn-%prefix%
)

if %runRiflexDynmod%==1 (
CALL riflex_64bit dynmod %prefix%
)

if %runSimoS2Xmod%==1 (
CALL simo_64bit %prefix% dummy s2xmod batch s2x-%prefix%
)
)
